| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| Content-Type | header | application/json |
| media type | data type | description |
|---|---|---|
| application/json | array of PluginDescriptor (JSON) |
GET /srv/plugins
Content-Type: */*
Accept: application/json
Authorization: ...
...
HTTP/1.1 200 OK
Content-Type: application/json
[ {
"version" : {
"major" : 12345,
"suffixTokens" : [ "...", "..." ],
"patch" : 12345,
"originalValue" : "...",
"value" : "...",
"minor" : 12345,
"type" : "COCOAPODS",
"build" : "...",
"stable" : true
},
"description" : "...",
"type" : "...",
"id" : "...",
"label" : "..."
} ]
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| Content-Type | header | application/json |
| pluginID | path |
| media type | data type | description |
|---|---|---|
| application/json | PluginDescriptor (JSON) |
GET /srv/plugins/{pluginID}
Content-Type: */*
Accept: application/json
Authorization: ...
...
HTTP/1.1 200 OK
Content-Type: application/json
{
"version" : {
"major" : 12345,
"suffixTokens" : [ "...", "..." ],
"patch" : 12345,
"originalValue" : "...",
"value" : "...",
"minor" : 12345,
"type" : "COCOAPODS",
"build" : "...",
"stable" : true
},
"description" : "...",
"type" : "...",
"id" : "...",
"label" : "..."
}